<h2>Movies List</h2>

<table *ngIf="videos$ | async as videos">
    <thead>
        <tr>
            <th>ID</th>
            <th>Image</th>
            <th>Title</th>
            <th>Genre</th>
            <th>Visit</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let v of videos">
            <td>{{v.id}}</td>
            <td><img [src]="v.image"></td>
            <td>{{v.title | titlecase}}</td>
            <td>{{v.genre | titlecase}}</td>
            <td>
                <a [href]="v.link">GOTO</a>
            </td>
        </tr>
    </tbody>
</table>
